2.3.40

2.3.40

Post by John Fishe » Sun, 23 Jan 2000 04:00:00



Hey folks,

Has anyone gotten kernel version 2.3.40, or any other recent 2.3, to
boot?  I was able to build it; when I try to boot with it, though, I get
a kernel panic midway through.  The message given is something about
altivec (though I don't have that enabled).  I could produce the whole
message if anyone has an idea.

Anyway, I'd appreciate any ideas or pointers.

Thanks,
John

 
 
 

2.3.40

Post by John Fishe » Tue, 25 Jan 2000 04:00:00



> As of this writing, my 2.3.40 kernel has been running more than 24
> hours after building. No major problem so far. I couldn't obtain more
> than 640x400 screen resolution on OF boot but booting via BootX solved
> this problem.

> Tsuneya Wtabe
> --


>      Fingerprint: B6 C5 34 C8 53 1C A7 39  2A 09 EF 17 E4 0D B9 CA

Excellent.  I must've configured it improperly; I tried everything
again, and it booted this time.  However, I get the 'gdm was already
running (pid xxx) but seems to have been *ed mysteriously' error at
the very end.

Could you send me your .config file?  Do I need to upgrade gdm or X?

Thanks,
John

 
 
 

2.3.40

Post by Derek Schroc » Tue, 25 Jan 2000 04:00:00





>> -snip-
>> again, and it booted this time.  However, I get the 'gdm was already
>> running (pid xxx) but seems to have been *ed mysteriously' error at
>> the very end.

> This has nothing to do with your kernel, I think, and you might want to
> have a look at the following article, which may give you a hint:

> http://www.veryComputer.com/

>> Could you send me your .config file?  Do I need to upgrade gdm or X?

> I'll send it to you later. BTW, Xpmac.rage128.usb.rev6 (or rev8)  might
> solve your problem.

> Tsuneya Watabe

rev9 Xpmac even

--
Derek Schrock

 
 
 

2.3.40

Post by John Fishe » Tue, 25 Jan 2000 04:00:00


[snipped my own post]

> This has nothing to do with your kernel, I think, and you might want to
> have a look at the following article, which may give you a hint:

>  http://lists.linuxppc.org/listarcs/linuxppc-user/200001/msg00420.html

> >Could you send me your .config file?  Do I need to upgrade gdm or X?

> I'll send it to you later. BTW, Xpmac.rage128.usb.rev6 (or rev8) might
> solve your problem.

> Tsuneya Watabe
> --


>      Fingerprint: B6 C5 34 C8 53 1C A7 39  2A 09 EF 17 E4 0D B9 CA

Thanks, Tsuneya.

I didn't think it was related to the kernel until I (a) grabbed
Xpmac.rage128.usb.rev9 and (b) rebuilt 2.3.40 without aty128 framebuffer
support.  The new Xpmac didn't change anything.  The aty128-less kernel
worked flawlessly, though.

It seems strange to me, at least.  The kernel with aty128 framebuffer
support would have this error regardless of the video options I supplied
(or did not supply) in BootX.  Specifically, 'No video driver' checked
and no kernel args did not work, and neither did 'No video driver'
unchecked and the kernel args 'video=aty128fb:vmode:17,cmode:32'.  Were
these args incorrect?  From the article you pointed me to, it sounds
like they might be.

Thanks,
John

 
 
 

1. Want to test Kernel 2.3.40 but...

I tried to upgrade the kernel and had no luck with that.  I have a Promise
Ultra66 connected to a UDMA66 7,200 rpm hard drive.  I would really like to
take advantage of the DMA Type 4 drive.  I know that there is a patch for
2.2.13 (I'm currently using without the patch) but the 2.3.40 sounds like it
can read NTFS.  With my computer having Windows 98/ 2000 Server/ Red Hat 6.1
(Linux-Mandrake), I would like to read the NTFS partition.  This is my main
development partition for C++ programming.

Anyway, I would like know if I could take the Red Hat 6.1 CD and change the
kernel 2.2.13 to 2.3.40 and load the OS onto my computer (with a CD burner
of course)?  This way if the beta blows-up for some stupid thing that I do,
I can simply re-install the OS without going through the rigors of
upgrading.  Any HOWTO's on this subject or is this simply not possible?

Thanks for any help you can provide.  A very new Linux user.

Martin

.

2. S3/805 Video crash (2)

3. pppd in 2.3.40

4. System hangs using AMD Elan SC520 CPU and AM79c973 (pcnet32)

5. compiling 2.3.40 for mtx603

6. setuid bit question

7. SB Live with Kernel 2.3.40

8. yacc and lex question

9. pcmcia and 2.3.31 ... 2.3.40

10. RH6.1 (2.3.40) netfilter + PRE_ROUTING hook problem

11. LNE100TX and Kernel 2.3.40

12. Lilo "L 40 40 40 40 40 40..."